### Interface

# Goa Calendar

#### Description [src]

    interface Goa.Calendar : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Calendar.

#### Prerequisite

In order to implement Calendar, your type must inherit from`GObject`.

#### Implementations

- GoaCalendarProxy
- GoaCalendarSkeleton

#### Functions

###### goa_calendar_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.Calendar D-Bus interface.

###### goa_calendar_override_properties

Overrides all `GObject` properties in the `GoaCalendar` interface for a concrete class. The properties are overridden in the order they are defined.

#### Instance methods

###### goa_calendar_dup_uri

Gets a copy of the “Uri” D-Bus property.

###### goa_calendar_get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

###### goa_calendar_get_uri

Gets the value of the “Uri” D-Bus property.

###### goa_calendar_set_accept_ssl_errors

Sets the “AcceptSslErrors” D-Bus property to `value`.

###### goa_calendar_set_uri

Sets the “Uri” D-Bus property to `value`.

#### Properties

###### Goa.Calendar:accept-ssl-errors

Represents the D-Bus property “AcceptSslErrors”.

###### Goa.Calendar:uri

Represents the D-Bus property “Uri”.

#### Interface structure

    struct GoaCalendarIface {
      GTypeInterface parent_iface;
      gboolean (* get_accept_ssl_errors) (
        GoaCalendar* object
      );
      const gchar* (* get_uri) (
        GoaCalendar* object
      );

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Calendar.

###### Interface members

`parent_iface` |
    GTypeInterface
| The parent interface.
`get_accept_ssl_errors` |
    gboolean (* get_accept_ssl_errors) (
        GoaCalendar* object
      )
| Getter for the `GoaCalendar:accept-ssl-errors` property.
`get_uri` |
    const gchar* (* get_uri) (
        GoaCalendar* object
      )
| Getter for the `GoaCalendar:uri` property.

#### Virtual methods

###### Goa.Calendar.get_accept_ssl_errors

Gets the value of the “AcceptSslErrors” D-Bus property.

###### Goa.Calendar.get_uri

Gets the value of the “Uri” D-Bus property.